/*
 * Name:     CAnimChannelAngle.h
 *
 *
 * Class:    CAnimChannelAngle
 * Impl:     CAnimChannelAngle.cpp
 * Created : Mar 14, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CANIMCHANNELANGLE_H_
#define CANIMCHANNELANGLE_H_

#include "CAnimChannel.h"
#include <vector>

/*
 * Class:    CAnimChannelAngle
 *
 */
class CAnimChannelAngle: public CAnimChannel
{
public:
    CAnimChannelAngle();
    virtual ~CAnimChannelAngle();

    class KeyframeAngle : public Keyframe
    {
    public:
        double GetAngle() const {return mAngle;}
        void SetAngle(double a) {mAngle = a;}

    private:
        double mAngle;
    };

    int GetNumKeyframes();
    Keyframe *GetKeyframe(int frame);
    void SetKeyframe(double angle);
    double GetAngle();
    void ClearKeyframe();
    void EmptyChannel();

private:
    std::vector<KeyframeAngle> mKeyframes;
};

#endif /* CANIMCHANNELANGLE_H_ */
