/*
 * Name:     CNoRotationImageDrawable.h
 *
 *
 * Class:    CNoRotationImageDrawable
 * Impl:     CNoRotationImageDrawable.cpp
 * Created : Feb 26, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CNOROTATIONIMAGEDRAWABLE_H_
#define CNOROTATIONIMAGEDRAWABLE_H_

#include "CImageDrawable.h"

/*
 * Class:    CNoRotationImageDrawable
 * NOTE:     This class could be combined in CImageDrawable, with EnableRot(bool status)
 *           and a conditional for SetRotation on mEnabledRot.
 * 
 */
class CNoRotationImageDrawable : public CImageDrawable
{
public:
	CNoRotationImageDrawable(const std::wstring &name, const std::wstring &filename);
	virtual ~CNoRotationImageDrawable();
	bool IsRotatable() {return false;}

	virtual void SetRotation(double r) {mRot+=r; GetParent()->SetRotation(mRot);}

private:
	//CNoRotationImageDrawable();
	double mRot;
};

#endif /* CNOROTATIONIMAGEDRAWABLE_H_ */
