/*
 * Name:     CViewActors.h
 * This is a scrolled window which displays the names of all
 * actors and gives use the ability to enable and disable them.
 *
 * Class:    CViewActors
 * Impl:     CViewActors.cpp
 * Created : Feb 20, 2010
 * Author :  Charles B. Owen - Initial distributed version
 * Co-Author: Kenji Aono
 */

#pragma once
#ifndef CVIEWACTORS_H_
#define CVIEWACTORS_H_

#include "CDocumentObserver.h"
#include "CDrawable.h"

class CFrame;

/*
 * Class:    CViewActors
 * 
 */
class CViewActors : public wxScrolledWindow, public CDocumentObserver
{
public:
    CViewActors(CFrame *frame);
    virtual ~CViewActors();

    void OnPaint(wxPaintEvent &event);
    void OnPaintDraw(wxDC *dc, CDrawable *drawable);
    void OnLeftButtonDown(wxMouseEvent &event);
    void OnRightButtonDown(wxMouseEvent &event);

    void UpdateObserver();
    void TogDisp() {mDispChild == false ? mDispChild = true : mDispChild = false;}

    // Notice:  Don't put anything between DECLARE_EVENT_TABLE() and private:
    DECLARE_EVENT_TABLE()

private:
    CFrame *mFrame;
    bool mDispChild;
    int mY;
    int mTextHeight;
    int mIdx;
};

#endif /* CVIEWACTORS_H_ */
