/*
 * Name:     CViewEdit.h
 * This is the main window we will use for editing out documents.
 *
 * Class:    CViewEdit
 * Impl:     CViewEdit.cpp
 * Created : Feb 20, 2010
 * Author :  Charles B. Owen - Initial distributed version
 * Co-Author: Kenji Aono
 */

#pragma once
#ifndef CVIEWEDIT_H_
#define CVIEWEDIT_H_

#include "CDocumentObserver.h"
#include "CActor.h"

class CFrame;

/*
 * Class:    CViewEdit
 * 
 */
class CViewEdit : public wxScrolledWindow, public CDocumentObserver
{
public:
    CViewEdit(CFrame *parent);
    virtual ~CViewEdit();

    void OnPaint(wxPaintEvent &event);
    void OnLeftButtonDown(wxMouseEvent &event);
    void OnMouseMove(wxMouseEvent &event);

    void UpdateObserver();

    // Notice:  Don't put anything between DECLARE_EVENT_TABLE() and private:
    DECLARE_EVENT_TABLE()

private:
    CFrame *mFrame;
    wxPoint mLastMouse;
    CActor* mSelectedActor;
    CDrawable* mSelectedDrawable;
};

#endif /* CVIEWEDIT_H_ */
